bricscad express tools v12 in english

2»

Comments

  • Each time I ran Bricscad I had to run Menu_Eng to display the Express Tools menu.
    I reloaded the default Bricscad menu and Express Tools menu now displays.
    Maybe the menu setting was corrupted. Thanks for your help.
  • Hi Martin,

    Thanks for the reply.

    I have tried the "acet-ui-message" under both XP and VISTA with the same results.

    The messagebox stays topmost but is not fully modal (the commandline and menu can still be accessed).

     The messagebox should keep the focus untill it is released by clicking on a button as in a lisp "alert" call .... ie. (alert "123")

    I have also tried the following code with the same results.

    [code]  (defun _Popup2 ( title flags msg / wsh res )
        (vl-catch-all-apply
          (function
            (lambda nil
              (if (< flags 4096)(setq flags (+ flags 4096)))
              (setq wsh (vlax-create-object "WScript.Shell"))
              (setq res (vlax-invoke-method wsh 'popup msg 0 title flags))
            )
          )
        )
        (if wsh (vlax-release-object wsh))
        res
      )[/code]

    Thanks again,

    Rick

  • oh, shit, i wrote an answer 2 Days before, but it wasn't posted - Sorry

    ok, i trieed again:
    Bricscad uses an different way for document and Application handling than Autocad. The windows script uses the parent of the documet which called it. But Bricscad uses dte Document (the open Drawing) as the parent not dte Application. Thats the reaseon, why you can access the Application - but not the document anymore. You tried to put the right flags, while calling the popup methode. But its not working like Acad. Now the solution will come soon - prommised Torsten Moses to me. He will create an new Function (vle-alert) which allows the same you want. It's in the next Release includet.
    A little comment to your code where you uses the flaf. this is a bit coded flag. if you check for this you better uses (logand) not '<<br>
    Regards Martin
  • Hello Martin,

    I have been working on getting my 2d23d function working with BricsCad, I first discovered the main problem was that BricsCad does not yet have the Soldraw command supported.  I have a workaround in the works for this.  I then noticed that ACET-GEOM-SS-EXTENTS function was giving me issues in some other applications.  It would seem that this function does not support 3d solids.  Also I am thinking that natively in AutoCAD this function outputs the cords in UCS opposed to WCS which is what the bricscad version of this command produces.   I have work-arounds in process for these issues but I thought it might be a good idea to share this feedback.

    Thanks

    Rodney

  • Hello Martin,

    I have been working on getting my 2d23d function working with BricsCad, I first discovered the main problem was that BricsCad does not yet have the Soldraw command supported.  I have a workaround in the works for this.  I then noticed that ACET-GEOM-SS-EXTENTS function was giving me issues in some other applications.  It would seem that this function does not support 3d solids.  Also I am thinking that natively in AutoCAD this function outputs the cords in UCS opposed to WCS which is what the bricscad version of this command produces.   I have work-arounds in process for these issues but I thought it might be a good idea to share this feedback.

    Thanks

    Rodney



    Rodney take a look at VLE-GETGEOMEXTENTS as an alternative to ACET-GEOM-SS-EXTENTS. Details on this function can be found in the LISP developers support package. Note this includes some ACET functions. It would seem the plan is migrate these across from express tools.

    As an alternative to SOLVIEW / SOLDRAW you might like to look at generative views (_VIEWBASE).

    Regards,

    Jason Bourhill

    CAD Concepts
This discussion has been closed.